npm not working correctly #5505

Closed
ghost opened this Issue Jun 19, 2014 · 5 comments

Comments

Projects
None yet
3 participants

ghost commented Jun 19, 2014

Taylors-MacBook-Pro:taylor taylor$ sudo npm install -g bower
npm ERR! EEXIST, mkdir '/usr/local/lib/node_modules/bower/node_modules/mout/collection'
File exists: /usr/local/lib/node_modules/bower/node_modules/mout/collection
Move it away, and try again. 

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "bower"
npm ERR! cwd /Users/taylor
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path /usr/local/lib/node_modules/bower/node_modules/mout/collection
npm ERR! fstream_path /usr/local/lib/node_modules/bower/node_modules/mout/collection/min.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code EEXIST
npm ERR! errno 47
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:171:23
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/mkdirp/index.js:37:53
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, chown '/usr/local/lib/node_modules/bower/node_modules/cardinal/node_modules/redeyed/test/redeyed-smoke.js'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "bower"
npm ERR! cwd /Users/taylor
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path /usr/local/lib/node_modules/bower/node_modules/cardinal/node_modules/redeyed/test/redeyed-smoke.js
npm ERR! fstream_path /usr/local/lib/node_modules/bower/node_modules/cardinal/node_modules/redeyed/test/redeyed-smoke.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! fstream_finish_call chown
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:305:19
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/graceful-fs/polyfills.js:133:7
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! error rolling back Error: ENOTEMPTY, rmdir '/usr/local/lib/node_modules/bower/node_modules/glob/node_modules/minimatch/test'
npm ERR! error rolling back  bower@1.3.5 { [Error: ENOTEMPTY, rmdir '/usr/local/lib/node_modules/bower/node_modules/glob/node_modules/minimatch/test']
npm ERR! error rolling back   errno: 53,
npm ERR! error rolling back   code: 'ENOTEMPTY',
npm ERR! error rolling back   path: '/usr/local/lib/node_modules/bower/node_modules/glob/node_modules/minimatch/test' }
npm ERR! Failed to parse json
npm ERR! Unexpected end of input
npm ERR! File: /Users/taylor/.npm/wordwrap/0.0.2/package/package.json
npm ERR! Failed to parse package.json data.
npm ERR! package.json must be actual JSON, not just JavaScript.
npm ERR! 
npm ERR! This is not a bug in npm.
npm ERR! Tell the package author to fix their package.json file. JSON.parse

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "bower"
npm ERR! cwd /Users/taylor
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! file /Users/taylor/.npm/wordwrap/0.0.2/package/package.json
npm ERR! code EJSONPARSE
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/bower/node_modules/handlebars/dist/amd/handlebars/runtime.js'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "bower"
npm ERR! cwd /Users/taylor
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path /usr/local/lib/node_modules/bower/node_modules/handlebars/dist/amd/handlebars/runtime.js
npm ERR! fstream_path /usr/local/lib/node_modules/bower/node_modules/handlebars/dist/amd/handlebars/runtime.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/bower/node_modules/insight/node_modules/request/tests/test-protocol-changing-redirect.js'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "bower"
npm ERR! cwd /Users/taylor
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path /usr/local/lib/node_modules/bower/node_modules/insight/node_modules/request/tests/test-protocol-changing-redirect.js
npm ERR! fstream_path /usr/local/lib/node_modules/bower/node_modules/insight/node_modules/request/tests/test-protocol-changing-redirect.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, open '/usr/local/lib/node_modules/bower/node_modules/inquirer/node_modules/cli-color/node_modules/memoizee/package.json'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "bower"
npm ERR! cwd /Users/taylor
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path /usr/local/lib/node_modules/bower/node_modules/inquirer/node_modules/cli-color/node_modules/memoizee/package.json
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/bower/node_modules/inquirer/node_modules/cli-color/node_modules/es5-ext/package.json'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "bower"
npm ERR! cwd /Users/taylor
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path /usr/local/lib/node_modules/bower/node_modules/inquirer/node_modules/cli-color/node_modules/es5-ext/package.json
npm ERR! fstream_path /usr/local/lib/node_modules/bower/node_modules/inquirer/node_modules/cli-color/node_modules/es5-ext/package.json
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, open '/usr/local/lib/node_modules/bower/node_modules/insight/node_modules/lodash.debounce/node_modules/lodash.now/node_modules/lodash._isnative/README.md'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "bower"
npm ERR! cwd /Users/taylor
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path /usr/local/lib/node_modules/bower/node_modules/insight/node_modules/lodash.debounce/node_modules/lodash.now/node_modules/lodash._isnative/README.md
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! Error: ENOENT, chown '/usr/local/lib/node_modules/bower/node_modules/update-notifier/node_modules/configstore/node_modules/mkdirp/node_modules/minimist/test/dotted.js'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "bower"
npm ERR! cwd /Users/taylor
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path /usr/local/lib/node_modules/bower/node_modules/update-notifier/node_modules/configstore/node_modules/mkdirp/node_modules/minimist/test/dotted.js
npm ERR! fstream_path /usr/local/lib/node_modules/bower/node_modules/update-notifier/node_modules/configstore/node_modules/mkdirp/node_modules/minimist/test/dotted.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! fstream_finish_call chown
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:305:19
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/graceful-fs/polyfills.js:133:7
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/bower/node_modules/request/node_modules/http-signature/node_modules/asn1/lib/ber/writer.js'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "bower"
npm ERR! cwd /Users/taylor
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path /usr/local/lib/node_modules/bower/node_modules/request/node_modules/http-signature/node_modules/asn1/lib/ber/writer.js
npm ERR! fstream_path /usr/local/lib/node_modules/bower/node_modules/request/node_modules/http-signature/node_modules/asn1/lib/ber/writer.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/bower/node_modules/request/node_modules/hawk/lib/server.js'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "bower"
npm ERR! cwd /Users/taylor
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path /usr/local/lib/node_modules/bower/node_modules/request/node_modules/hawk/lib/server.js
npm ERR! fstream_path /usr/local/lib/node_modules/bower/node_modules/request/node_modules/hawk/lib/server.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/bower/node_modules/request/node_modules/form-data/node_modules/combined-stream/test/fixture/file2.txt'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "bower"
npm ERR! cwd /Users/taylor
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path /usr/local/lib/node_modules/bower/node_modules/request/node_modules/form-data/node_modules/combined-stream/test/fixture/file2.txt
npm ERR! fstream_path /usr/local/lib/node_modules/bower/node_modules/request/node_modules/form-data/node_modules/combined-stream/test/fixture/file2.txt
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/bower/node_modules/request/node_modules/http-signature/node_modules/ctype/ctio.js'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "bower"
npm ERR! cwd /Users/taylor
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path /usr/local/lib/node_modules/bower/node_modules/request/node_modules/http-signature/node_modules/ctype/ctio.js
npm ERR! fstream_path /usr/local/lib/node_modules/bower/node_modules/request/node_modules/http-signature/node_modules/ctype/ctio.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/bower/node_modules/request/node_modules/tough-cookie/lib/pubsuffix.js'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "bower"
npm ERR! cwd /Users/taylor
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path /usr/local/lib/node_modules/bower/node_modules/request/node_modules/tough-cookie/lib/pubsuffix.js
npm ERR! fstream_path /usr/local/lib/node_modules/bower/node_modules/request/node_modules/tough-cookie/lib/pubsuffix.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm WARN optional dep failed, continuing form-data@0.1.3
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/bower/node_modules/inquirer/node_modules/lodash/lodash.js'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "bower"
npm ERR! cwd /Users/taylor
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path /usr/local/lib/node_modules/bower/node_modules/inquirer/node_modules/lodash/lodash.js
npm ERR! fstream_path /usr/local/lib/node_modules/bower/node_modules/inquirer/node_modules/lodash/lodash.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
(node) warning: possible EventEmitter memory leak detected. 11 listeners added. Use emitter.setMaxListeners() to increase limit.
Trace
    at process.addListener (events.js:160:15)
    at process.on.process.addListener (node.js:773:26)
    at spinner (/usr/local/lib/node_modules/npm/node_modules/char-spinner/spin.js:35:13)
    at Object.npm.spinner.start (/usr/local/lib/node_modules/npm/lib/npm.js:172:25)
    at Object.commandCache.(anonymous function) (/usr/local/lib/node_modules/npm/lib/npm.js:202:19)
    at /usr/local/lib/node_modules/npm/lib/install.js:953:18
    at cb (/usr/local/lib/node_modules/npm/node_modules/slide/lib/async-map.js:48:11)
    at /usr/local/lib/node_modules/npm/lib/install.js:763:5
    at /usr/local/lib/node_modules/npm/lib/install.js:869:9
    at LOOP (/usr/local/lib/node_modules/npm/node_modules/slide/lib/chain.js:7:26)
npm ERR! Error: ENOENT, lstat '/usr/local/lib/node_modules/bower/node_modules/update-notifier/node_modules/request/node_modules/form-data/node_modules/async/lib/async.js'
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install" "-g" "bower"
npm ERR! cwd /Users/taylor
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path /usr/local/lib/node_modules/bower/node_modules/update-notifier/node_modules/request/node_modules/form-data/node_modules/async/lib/async.js
npm ERR! fstream_path /usr/local/lib/node_modules/bower/node_modules/update-notifier/node_modules/request/node_modules/form-data/node_modules/async/lib/async.js
npm ERR! fstream_type File
npm ERR! fstream_class FileWriter
npm ERR! code ENOENT
npm ERR! errno 34
npm ERR! fstream_stack /usr/local/lib/node_modules/npm/node_modules/fstream/lib/writer.js:284:26
npm ERR! fstream_stack Object.oncomplete (fs.js:107:15)
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /Users/taylor/npm-debug.log
npm ERR! not ok code 0
Taylors-MacBook-Pro:taylor taylor$ 
@Anshdesire

This comment has been minimized.

Show comment Hide comment
@Anshdesire

Anshdesire Jun 19, 2014

Please clean your cache and check it again it looks like some caching or your package.json do not have right dependencies in it.Please check that.

Please clean your cache and check it again it looks like some caching or your package.json do not have right dependencies in it.Please check that.

This comment has been minimized.

Show comment Hide comment
@ghost

ghost Jun 20, 2014

Yes that helped! I was able to npm install bower, grunt-cli and yeoman however when running generator-meanjs I get the following npm errors.

Taylors-MacBook-Pro:myapp taylor$ yo meanjs

     _-----_
    |       |
    |--(o)--|   .--------------------------.
   `---------´  |    Welcome to Yeoman,    |
    ( _´U`_ )   |   ladies and gentlemen!  |
    /___A___\   '__________________________'
     |  ~  |
   __'.___.'__
 ´   `  |° ´ Y `

You're using the official MEAN.JS generator.
[?] What would you like to call your application? MEAN
[?] How would you describe your application? Full-Stack JavaScript with MongoDB, Express, AngularJS, and Node.jss) 
[?] How would you describe your application in comma seperated key words? MongoDB, Express, AngularJS, Node.jss) 
[?] What is your company/author name? 
[?] Would you like to generate the article example CRUD module? No
[?] Which AngularJS modules would you like to include? ngCookies, ngAnimate, ngTouch, ngSanitize
   create app/views/404.server.view.html
   create app/views/500.server.view.html
   create app/views/index.server.view.html
   create app/views/layout.server.view.html
   create app/controllers/core.server.controller.js
   create app/controllers/users.server.controller.js
   create app/models/user.server.model.js
   create app/routes/core.server.routes.js
   create app/routes/users.server.routes.js
   create app/tests/user.server.model.test.js
   create public/application.js
   create public/humans.txt
   create public/robots.txt
   create public/modules/users/config/users.client.config.js
   create public/modules/users/config/users.client.routes.js
   create public/modules/users/controllers/authentication.client.controller.js
   create public/modules/users/controllers/settings.client.controller.js
   create public/modules/users/css/users.css
   create public/modules/users/img/buttons/facebook.png
   create public/modules/users/img/buttons/google.png
   create public/modules/users/img/buttons/linkedin.png
   create public/modules/users/img/buttons/twitter.png
   create public/modules/users/services/authentication.client.service.js
   create public/modules/users/services/users.client.service.js
   create public/modules/users/tests/authentication.client.controller.test.js
   create public/modules/users/users.client.module.js
   create public/modules/users/views/settings/change-password.client.view.html
   create public/modules/users/views/settings/edit-profile.client.view.html
   create public/modules/users/views/settings/social-accounts.client.view.html
   create public/modules/users/views/signin.client.view.html
   create public/modules/users/views/signup.client.view.html
   create public/modules/core/config/core.client.routes.js
   create public/modules/core/controllers/header.client.controller.js
   create public/modules/core/controllers/home.client.controller.js
   create public/modules/core/css/core.css
   create public/modules/core/img/brand/favicon.ico
   create public/modules/core/img/brand/logo.png
   create public/modules/core/img/loaders/loader.gif
   create public/modules/core/services/menus.client.service.js
   create public/modules/core/tests/header.client.controller.test.js
   create public/modules/core/tests/home.client.controller.test.js
   create public/modules/core/views/home.client.view.html
   create public/modules/core/core.client.module.js
   create config/strategies/facebook.js
   create config/strategies/google.js
   create config/strategies/linkedin.js
   create config/strategies/local.js
   create config/strategies/twitter.js
   create config/config.js
   create config/init.js
   create config/express.js
   create config/passport.js
   create karma.conf.js
   create gruntfile.js
   create server.js
   create Procfile
   create README.md
   create LICENSE.md
   create .bowerrc
   create .csslintrc
   create .jshintrc
   create .gitignore
   create .slugignore
   create .travis.yml
   create config/env/all.js
   create config/env/development.js
   create config/env/production.js
   create config/env/test.js
   create public/config.js
   create public/modules/core/views/header.client.view.html
   create package.json
   create bower.json
npm WARN package.json mean@0.0.1 No repository field.
npm ERR! Error: EACCES, open '/Users/taylor/.npm/lodash/2.4.1/package/package.json'
npm ERR!  { [Error: EACCES, open '/Users/taylor/.npm/lodash/2.4.1/package/package.json']
npm ERR!   errno: 3,
npm ERR!   code: 'EACCES',
npm ERR!   path: '/Users/taylor/.npm/lodash/2.4.1/package/package.json',
npm ERR!   parent: 'mean' }
npm ERR! 
npm ERR! Please try running this command again as root/Administrator.

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path /Users/taylor/.npm/lodash/2.4.1/package/package.json
npm ERR! code EACCES
npm ERR! errno 3
npm ERR! stack Error: EACCES, open '/Users/taylor/.npm/lodash/2.4.1/package/package.json'
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /Users/taylor/Sites/myapp/npm-debug.log
npm ERR! not ok code 0
Taylors-MacBook-Pro:myapp taylor$ 

ghost commented Jun 20, 2014

Yes that helped! I was able to npm install bower, grunt-cli and yeoman however when running generator-meanjs I get the following npm errors.

Taylors-MacBook-Pro:myapp taylor$ yo meanjs

     _-----_
    |       |
    |--(o)--|   .--------------------------.
   `---------´  |    Welcome to Yeoman,    |
    ( _´U`_ )   |   ladies and gentlemen!  |
    /___A___\   '__________________________'
     |  ~  |
   __'.___.'__
 ´   `  |° ´ Y `

You're using the official MEAN.JS generator.
[?] What would you like to call your application? MEAN
[?] How would you describe your application? Full-Stack JavaScript with MongoDB, Express, AngularJS, and Node.jss) 
[?] How would you describe your application in comma seperated key words? MongoDB, Express, AngularJS, Node.jss) 
[?] What is your company/author name? 
[?] Would you like to generate the article example CRUD module? No
[?] Which AngularJS modules would you like to include? ngCookies, ngAnimate, ngTouch, ngSanitize
   create app/views/404.server.view.html
   create app/views/500.server.view.html
   create app/views/index.server.view.html
   create app/views/layout.server.view.html
   create app/controllers/core.server.controller.js
   create app/controllers/users.server.controller.js
   create app/models/user.server.model.js
   create app/routes/core.server.routes.js
   create app/routes/users.server.routes.js
   create app/tests/user.server.model.test.js
   create public/application.js
   create public/humans.txt
   create public/robots.txt
   create public/modules/users/config/users.client.config.js
   create public/modules/users/config/users.client.routes.js
   create public/modules/users/controllers/authentication.client.controller.js
   create public/modules/users/controllers/settings.client.controller.js
   create public/modules/users/css/users.css
   create public/modules/users/img/buttons/facebook.png
   create public/modules/users/img/buttons/google.png
   create public/modules/users/img/buttons/linkedin.png
   create public/modules/users/img/buttons/twitter.png
   create public/modules/users/services/authentication.client.service.js
   create public/modules/users/services/users.client.service.js
   create public/modules/users/tests/authentication.client.controller.test.js
   create public/modules/users/users.client.module.js
   create public/modules/users/views/settings/change-password.client.view.html
   create public/modules/users/views/settings/edit-profile.client.view.html
   create public/modules/users/views/settings/social-accounts.client.view.html
   create public/modules/users/views/signin.client.view.html
   create public/modules/users/views/signup.client.view.html
   create public/modules/core/config/core.client.routes.js
   create public/modules/core/controllers/header.client.controller.js
   create public/modules/core/controllers/home.client.controller.js
   create public/modules/core/css/core.css
   create public/modules/core/img/brand/favicon.ico
   create public/modules/core/img/brand/logo.png
   create public/modules/core/img/loaders/loader.gif
   create public/modules/core/services/menus.client.service.js
   create public/modules/core/tests/header.client.controller.test.js
   create public/modules/core/tests/home.client.controller.test.js
   create public/modules/core/views/home.client.view.html
   create public/modules/core/core.client.module.js
   create config/strategies/facebook.js
   create config/strategies/google.js
   create config/strategies/linkedin.js
   create config/strategies/local.js
   create config/strategies/twitter.js
   create config/config.js
   create config/init.js
   create config/express.js
   create config/passport.js
   create karma.conf.js
   create gruntfile.js
   create server.js
   create Procfile
   create README.md
   create LICENSE.md
   create .bowerrc
   create .csslintrc
   create .jshintrc
   create .gitignore
   create .slugignore
   create .travis.yml
   create config/env/all.js
   create config/env/development.js
   create config/env/production.js
   create config/env/test.js
   create public/config.js
   create public/modules/core/views/header.client.view.html
   create package.json
   create bower.json
npm WARN package.json mean@0.0.1 No repository field.
npm ERR! Error: EACCES, open '/Users/taylor/.npm/lodash/2.4.1/package/package.json'
npm ERR!  { [Error: EACCES, open '/Users/taylor/.npm/lodash/2.4.1/package/package.json']
npm ERR!   errno: 3,
npm ERR!   code: 'EACCES',
npm ERR!   path: '/Users/taylor/.npm/lodash/2.4.1/package/package.json',
npm ERR!   parent: 'mean' }
npm ERR! 
npm ERR! Please try running this command again as root/Administrator.

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! path /Users/taylor/.npm/lodash/2.4.1/package/package.json
npm ERR! code EACCES
npm ERR! errno 3
npm ERR! stack Error: EACCES, open '/Users/taylor/.npm/lodash/2.4.1/package/package.json'
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /Users/taylor/Sites/myapp/npm-debug.log
npm ERR! not ok code 0
Taylors-MacBook-Pro:myapp taylor$ 
@terinjokes

This comment has been minimized.

Show comment Hide comment
@terinjokes

terinjokes Jun 20, 2014

Member

Looks like you don't have permissions to open /Users/taylor/.npm/lodash/2.4.1/package/package.json Try deleting that directory and installing again.

Member

terinjokes commented Jun 20, 2014

Looks like you don't have permissions to open /Users/taylor/.npm/lodash/2.4.1/package/package.json Try deleting that directory and installing again.

This comment has been minimized.

Show comment Hide comment
@ghost

ghost Jun 21, 2014

Now I am getting more errors than before..

Taylors-MacBook-Pro:myapp taylor$ yo meanjs

     _-----_
    |       |
    |--(o)--|   .--------------------------.
   `---------´  |    Welcome to Yeoman,    |
    ( _´U`_ )   |   ladies and gentlemen!  |
    /___A___\   '__________________________'
     |  ~  |
   __'.___.'__
 ´   `  |° ´ Y `

You're using the official MEAN.JS generator.
[?] What would you like to call your application? mean
[?] How would you describe your application? Full-Stack JavaScript with MongoDB, Express, AngularJS, and Node.jss) 
[?] How would you describe your application in comma seperated key words? MongoDB, Express, AngularJS, Node.jss) 
[?] What is your company/author name? 
[?] Would you like to generate the article example CRUD module? Yes
[?] Which AngularJS modules would you like to include? ngCookies, ngAnimate, ngTouch, ngSanitize
   create app/views/404.server.view.html
   create app/views/500.server.view.html
   create app/views/index.server.view.html
   create app/views/layout.server.view.html
   create app/controllers/core.server.controller.js
   create app/controllers/users.server.controller.js
   create app/models/user.server.model.js
   create app/routes/core.server.routes.js
   create app/routes/users.server.routes.js
   create app/tests/user.server.model.test.js
   create public/application.js
   create public/humans.txt
   create public/robots.txt
   create public/modules/users/config/users.client.config.js
   create public/modules/users/config/users.client.routes.js
   create public/modules/users/controllers/authentication.client.controller.js
   create public/modules/users/controllers/settings.client.controller.js
   create public/modules/users/css/users.css
   create public/modules/users/img/buttons/facebook.png
   create public/modules/users/img/buttons/google.png
   create public/modules/users/img/buttons/linkedin.png
   create public/modules/users/img/buttons/twitter.png
   create public/modules/users/services/authentication.client.service.js
   create public/modules/users/services/users.client.service.js
   create public/modules/users/tests/authentication.client.controller.test.js
   create public/modules/users/users.client.module.js
   create public/modules/users/views/settings/change-password.client.view.html
   create public/modules/users/views/settings/edit-profile.client.view.html
   create public/modules/users/views/settings/social-accounts.client.view.html
   create public/modules/users/views/signin.client.view.html
   create public/modules/users/views/signup.client.view.html
   create public/modules/core/config/core.client.routes.js
   create public/modules/core/controllers/header.client.controller.js
   create public/modules/core/controllers/home.client.controller.js
   create public/modules/core/css/core.css
   create public/modules/core/img/brand/favicon.ico
   create public/modules/core/img/brand/logo.png
   create public/modules/core/img/loaders/loader.gif
   create public/modules/core/services/menus.client.service.js
   create public/modules/core/tests/header.client.controller.test.js
   create public/modules/core/tests/home.client.controller.test.js
   create public/modules/core/views/home.client.view.html
   create public/modules/core/core.client.module.js
   create config/strategies/facebook.js
   create config/strategies/google.js
   create config/strategies/linkedin.js
   create config/strategies/local.js
   create config/strategies/twitter.js
   create config/config.js
   create config/init.js
   create config/express.js
   create config/passport.js
   create karma.conf.js
   create gruntfile.js
   create server.js
   create Procfile
   create README.md
   create LICENSE.md
identical .bowerrc
identical .csslintrc
identical .jshintrc
identical .gitignore
identical .slugignore
identical .travis.yml
   create app/controllers/articles.server.controller.js
   create app/models/article.server.model.js
   create app/routes/articles.server.routes.js
   create app/tests/article.server.model.test.js
   create public/modules/articles/articles.client.module.js
   create public/modules/articles/config/articles.client.config.js
   create public/modules/articles/config/articles.client.routes.js
   create public/modules/articles/controllers/articles.client.controller.js
   create public/modules/articles/services/articles.client.service.js
   create public/modules/articles/tests/articles.client.controller.test.js
   create public/modules/articles/views/create-article.client.view.html
   create public/modules/articles/views/edit-article.client.view.html
   create public/modules/articles/views/list-articles.client.view.html
   create public/modules/articles/views/view-article.client.view.html
   create config/env/all.js
   create config/env/development.js
   create config/env/production.js
   create config/env/test.js
   create public/config.js
   create public/modules/core/views/header.client.view.html
   create package.json
   create bower.json
npm WARN package.json mean@0.0.1 No repository field.
npm ERR! Error: Attempt to unlock express@~4.2.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock express-session@~1.1.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock cookie-parser@~1.1.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock body-parser@~1.2.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock compression@~1.0.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock morgan@~1.1.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock method-override@~1.0.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock connect-mongo@~0.4.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock helmet@~0.2.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock connect-flash@~0.1.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock swig@~1.3.2, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock consolidate@~0.10.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock mongoose@~3.8.8, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock passport-local@~1.0.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock passport@~0.2.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock passport-twitter@~1.0.2, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock passport-facebook@~1.0.2, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock passport-linkedin@~0.1.3, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock passport-google-oauth@~0.1.5, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock lodash@~2.4.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock bower@~1.3.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock forever@~0.11.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock glob@~3.2.9, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-cli@~0.1.13, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock supertest@~0.12.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock should@~3.3.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-env@~0.4.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-node-inspector@~0.1.3, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-contrib-watch@~0.6.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-contrib-jshint@~0.10.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-contrib-csslint@^0.2.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-ngmin@0.0.3, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-contrib-uglify@~0.4.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-contrib-cssmin@~0.9.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-nodemon@~0.2.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-concurrent@~0.5.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-mocha-test@~0.10.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-karma@~0.8.2, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock load-grunt-tasks@~0.4.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock karma@~0.12.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock karma-jasmine@~0.2.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock karma-coverage@~0.2.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock karma-chrome-launcher@~0.1.2, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock karma-firefox-launcher@~0.1.3, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock karma-phantomjs-launcher@~0.1.2, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /Users/taylor/Sites/myapp/npm-debug.log
npm ERR! not ok code 0
Taylors-MacBook-Pro:myapp taylor$ 

ghost commented Jun 21, 2014

Now I am getting more errors than before..

Taylors-MacBook-Pro:myapp taylor$ yo meanjs

     _-----_
    |       |
    |--(o)--|   .--------------------------.
   `---------´  |    Welcome to Yeoman,    |
    ( _´U`_ )   |   ladies and gentlemen!  |
    /___A___\   '__________________________'
     |  ~  |
   __'.___.'__
 ´   `  |° ´ Y `

You're using the official MEAN.JS generator.
[?] What would you like to call your application? mean
[?] How would you describe your application? Full-Stack JavaScript with MongoDB, Express, AngularJS, and Node.jss) 
[?] How would you describe your application in comma seperated key words? MongoDB, Express, AngularJS, Node.jss) 
[?] What is your company/author name? 
[?] Would you like to generate the article example CRUD module? Yes
[?] Which AngularJS modules would you like to include? ngCookies, ngAnimate, ngTouch, ngSanitize
   create app/views/404.server.view.html
   create app/views/500.server.view.html
   create app/views/index.server.view.html
   create app/views/layout.server.view.html
   create app/controllers/core.server.controller.js
   create app/controllers/users.server.controller.js
   create app/models/user.server.model.js
   create app/routes/core.server.routes.js
   create app/routes/users.server.routes.js
   create app/tests/user.server.model.test.js
   create public/application.js
   create public/humans.txt
   create public/robots.txt
   create public/modules/users/config/users.client.config.js
   create public/modules/users/config/users.client.routes.js
   create public/modules/users/controllers/authentication.client.controller.js
   create public/modules/users/controllers/settings.client.controller.js
   create public/modules/users/css/users.css
   create public/modules/users/img/buttons/facebook.png
   create public/modules/users/img/buttons/google.png
   create public/modules/users/img/buttons/linkedin.png
   create public/modules/users/img/buttons/twitter.png
   create public/modules/users/services/authentication.client.service.js
   create public/modules/users/services/users.client.service.js
   create public/modules/users/tests/authentication.client.controller.test.js
   create public/modules/users/users.client.module.js
   create public/modules/users/views/settings/change-password.client.view.html
   create public/modules/users/views/settings/edit-profile.client.view.html
   create public/modules/users/views/settings/social-accounts.client.view.html
   create public/modules/users/views/signin.client.view.html
   create public/modules/users/views/signup.client.view.html
   create public/modules/core/config/core.client.routes.js
   create public/modules/core/controllers/header.client.controller.js
   create public/modules/core/controllers/home.client.controller.js
   create public/modules/core/css/core.css
   create public/modules/core/img/brand/favicon.ico
   create public/modules/core/img/brand/logo.png
   create public/modules/core/img/loaders/loader.gif
   create public/modules/core/services/menus.client.service.js
   create public/modules/core/tests/header.client.controller.test.js
   create public/modules/core/tests/home.client.controller.test.js
   create public/modules/core/views/home.client.view.html
   create public/modules/core/core.client.module.js
   create config/strategies/facebook.js
   create config/strategies/google.js
   create config/strategies/linkedin.js
   create config/strategies/local.js
   create config/strategies/twitter.js
   create config/config.js
   create config/init.js
   create config/express.js
   create config/passport.js
   create karma.conf.js
   create gruntfile.js
   create server.js
   create Procfile
   create README.md
   create LICENSE.md
identical .bowerrc
identical .csslintrc
identical .jshintrc
identical .gitignore
identical .slugignore
identical .travis.yml
   create app/controllers/articles.server.controller.js
   create app/models/article.server.model.js
   create app/routes/articles.server.routes.js
   create app/tests/article.server.model.test.js
   create public/modules/articles/articles.client.module.js
   create public/modules/articles/config/articles.client.config.js
   create public/modules/articles/config/articles.client.routes.js
   create public/modules/articles/controllers/articles.client.controller.js
   create public/modules/articles/services/articles.client.service.js
   create public/modules/articles/tests/articles.client.controller.test.js
   create public/modules/articles/views/create-article.client.view.html
   create public/modules/articles/views/edit-article.client.view.html
   create public/modules/articles/views/list-articles.client.view.html
   create public/modules/articles/views/view-article.client.view.html
   create config/env/all.js
   create config/env/development.js
   create config/env/production.js
   create config/env/test.js
   create public/config.js
   create public/modules/core/views/header.client.view.html
   create package.json
   create bower.json
npm WARN package.json mean@0.0.1 No repository field.
npm ERR! Error: Attempt to unlock express@~4.2.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock express-session@~1.1.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock cookie-parser@~1.1.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock body-parser@~1.2.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock compression@~1.0.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock morgan@~1.1.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock method-override@~1.0.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock connect-mongo@~0.4.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock helmet@~0.2.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock connect-flash@~0.1.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock swig@~1.3.2, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock consolidate@~0.10.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock mongoose@~3.8.8, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock passport-local@~1.0.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock passport@~0.2.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock passport-twitter@~1.0.2, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock passport-facebook@~1.0.2, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock passport-linkedin@~0.1.3, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock passport-google-oauth@~0.1.5, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock lodash@~2.4.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock bower@~1.3.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock forever@~0.11.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock glob@~3.2.9, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-cli@~0.1.13, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock supertest@~0.12.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock should@~3.3.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-env@~0.4.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-node-inspector@~0.1.3, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-contrib-watch@~0.6.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-contrib-jshint@~0.10.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-contrib-csslint@^0.2.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-ngmin@0.0.3, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-contrib-uglify@~0.4.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-contrib-cssmin@~0.9.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-nodemon@~0.2.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-concurrent@~0.5.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-mocha-test@~0.10.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock grunt-karma@~0.8.2, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock load-grunt-tasks@~0.4.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock karma@~0.12.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock karma-jasmine@~0.2.1, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock karma-coverage@~0.2.0, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock karma-chrome-launcher@~0.1.2, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock karma-firefox-launcher@~0.1.3, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! Error: Attempt to unlock karma-phantomjs-launcher@~0.1.2, which hasn't been locked
npm ERR!     at unlock (/usr/local/lib/node_modules/npm/lib/utils/locker.js:44:11)
npm ERR!     at cb (/usr/local/lib/node_modules/npm/lib/cache/add-named.js:32:5)
npm ERR!     at /usr/local/lib/node_modules/npm/lib/cache/add-named.js:41:20
npm ERR!     at /usr/local/lib/node_modules/npm/lib/utils/locker.js:30:7
npm ERR!     at /usr/local/lib/node_modules/npm/node_modules/lockfile/lockfile.js:167:38
npm ERR!     at OpenReq.Req.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:144:5)
npm ERR!     at OpenReq.done (/usr/local/lib/node_modules/npm/node_modules/graceful-fs/graceful-fs.js:64:22)
npm ERR!     at Object.oncomplete (fs.js:107:15)
npm ERR! If you need help, you may report this *entire* log,
npm ERR! including the npm and node versions, at:
npm ERR!     <http://github.com/npm/npm/issues>

npm ERR! System Darwin 13.2.0
npm ERR! command "node" "/usr/local/bin/npm" "install"
npm ERR! cwd /Users/taylor/Sites/myapp
npm ERR! node -v v0.10.29
npm ERR! npm -v 1.4.14
npm ERR! 
npm ERR! Additional logging details can be found in:
npm ERR!     /Users/taylor/Sites/myapp/npm-debug.log
npm ERR! not ok code 0
Taylors-MacBook-Pro:myapp taylor$ 

@othiym23 othiym23 changed the title from NPM not working correctly to npm not working correctly Sep 16, 2014

@othiym23

This comment has been minimized.

Show comment Hide comment
@othiym23

othiym23 Sep 16, 2014

Contributor

There are a number of locking and race condition issues that have been addressed since npm@1.4.14, most notably with the resolution of #6043, which should make the experience of working with Yeoman much smoother. See that ticket for a description of what we fixed, as well as instructions on how to install a fixed version of npm. Sorry for the trouble, and thanks for your patience!

Contributor

othiym23 commented Sep 16, 2014

There are a number of locking and race condition issues that have been addressed since npm@1.4.14, most notably with the resolution of #6043, which should make the experience of working with Yeoman much smoother. See that ticket for a description of what we fixed, as well as instructions on how to install a fixed version of npm. Sorry for the trouble, and thanks for your patience!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment